STOREBACKUPMOUNT(1)

NAME
Mounts file systems (defined in /etc/fstab) and starts storeBackup related programs if you use command line, the order of execution depends on the order of the --storeBackup* options if you use the configuration file, the oder of execution depends on option 'orderOfExecution'

SYNOPSIS
        storeBackupMount.pl --help
or
        storeBackupMount.pl -g configFile
or
        storeBackupMount.pl -f configFile
or
        storeBackupMount.pl [-s servers] [-d] [-l logFile
               [--suppressTime] [-m maxFilelen]
               [[-n noOfOldFiles] | [--saveLogs]]
               [--compressWith compressprog]]
            [--storeBackup storeBackup-Params]
            [--storeBackupUpdateBackup storeBackupUpdateBackup-Params]
            [--storeBackupCheckBackup storeBackupCheckBackup-Params]
            [--storeBackupCheckSource storeBackupCheckSource-Params]
            [--storeBackupDel storeBackupDel-Params]
            [--printAndStop] [-k killTime] [-T tmpdir] [mountPoints...]

DESCRIPTION
This script does the following:

- checks an nfs server with ping
- mounts that server via a list of mount points
- starts storeBackup (with a config file)
- umounts that server

OPTIONS

--help
        show this help

--generate, -g
        generate a template of the configuration file

--file, -f
        configuration file (instead of or additionally to options
        on command line)

--servers, -s
        name(s) or ip address(es) of the nfs server(s)
        This option can be repeated multiple times

--debug, -d
        generate some debug messages

--logFile, -l
        logFile for this process.
        default is STDOUT.

--suppressTime
        suppress output of time in logfile

--maxFilelen, -m
        maximal length of log file, default = 1e6

--noOfOldFiles, -n
        number of old log files, default = 5

--saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOfOldFiles])

--compressWith
        compress saved log files (e.g. with 'gzip -9')
        default is 'bzip2'
        This parameter is parsed like a line in the configuration
        file and normally has to be quoted.

--storeBackup
          run storeBackup.pl
          use this parameter as options for storeBackup.pl
          This parameter is parsed like the line in the
          configuration file and normally has to be quoted,
          eg. '-f stbu.conf'

--storeBackupUpdateBackup
          run storeBackupUpdateBackup.pl
          use this parameter as options for storeBackupUpdateBackup.pl
          This parameter is parsed like the line in the
          configuration file and normally has to be quoted,
          eg. '-b /backupDir'

--storeBackupCheckBackup
          run storeBackupCheckBackup.pl
          use this parameter as options for storeBackupCheckBackup.pl
          This parameter is parsed like the line in the
          configuration file and normally has to be quoted,
          eg. '-c /backupDir'

--storeBackupCheckSource
          run storeBackupCheckSource.pl
          use this parameter as options for storeBackupCheckSource.pl
          This parameter is parsed like the line in the
          configuration file and normally has to be quoted,
          eg. '-s /home/bob -b /backupDir'

--storeBackupDel
          run storeBackupDel.pl
          use this parameter as options for storeBackupDel.pl
          This parameter is parsed like the line in the
          configuration file and normally has to be quoted,
          eg. '-f stbu.conf'

--printAndStop, -p
          print options and stop processing

--killTime -k
        time until any of the programs started will be killed.
        default is 365 days.
        the time range has to be specified in format 'dhms', e.g.
        10d4h means 10 days and 4 hours

--tmpdir, -T
        directory for temporary files, default is </tmp>

mountPoints
        List of mount points needed to perform the backup.
        This must be a list of paths which have to be
        defined in /etc/fstab.
        -
        if you add 'ro,' or 'rw,' to the beginning of a mount
        point, you can overwrite that option set in /etc/fstab

        example:
        ro,/fileSystemToRead
           will mount /fileSystemToRead read only, even if the
           corresponding entry in /etc/fstab mounts is read/write

        only root is allowed to use this feature!

EXIT STATUS

0 -> everything is ok
1 -> error from called program
2 -> error from storeBackupMount
3 -> error from both programs

COPYRIGHT
Copyright (c) 2004-2014 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version